module Affection.MessageBus.Message.KeyboardMessage where

import Affection.MessageBus.Message.Class

import Data.Word (Word32(..))

import qualified SDL

data KeyboardMessage = MsgKeyboardEvent
  { msgKbdWhen :: Word32
  , msgKbdWindow :: Maybe SDL.Window
  , msgKbdKeyMotion :: SDL.InputMotion
  , msgKbdLeyRepeat :: Bool
  , msgKbdKeysym :: SDL.Keysym
  }

instance Message KeyboardMessage where
  msgTime (MsgKeyboardEvent t _ _ _ _) = t
